Subject: Bug#34: Support for proxy server

From: "glpk xypron" <[email-masked]>
Date: Fri, 21 Sep 2012 14:20:19 +0200

Dear Mike,

what I would like to have is that like in putty I can enter the proxy server, the port, my proxy user, and my proxy password. The x2goclient will create a SSH connection.

As long as x2go does not support this scenario. I have to log onto my server using putty. With putty I log onto port 443 of my server and create a tunnel between port 443 on my laptop to port 443 of my server. The I use the x2goclient to connect to my laptop port 443.

Best regards

Heinrich

-------- Original-Nachricht --------
> Datum: Fri, 21 Sep 2012 09:37:51 +0200
> Von: Mike Gabriel <[email-masked]>
> An: glpk xypron <[email-masked]>, [email-masked]
> Betreff: Re: [X2Go-Dev] Bug#34: Support for proxy server

> Hi Heinrich,
> 
> On Fr 21 Sep 2012 08:03:30 CEST glpk xypron wrote:
> 
> > Package: x2goclient
> > Version: V.3.99.2.2 (Qt - 4.8.1)
> > Severity: wishlist
> >
> > I would like to use x2goclient from behind a firewall without having  
> > to setup a tunnel with an external tool.
> >
> > My ssh server is running on port 443. The http method CONNECT can be  
> > used to create the connection over the firewall.
> >
> > Please, add proxy support to the x2goclient.
> >
> > Best regards
> >
> > Heinrich Schuchardt
> 
> You may want to test PyHoca-GUI. It has SSH tunneling support  
> built-in. You can SSH through an SSH tunnel to a server behind a  
> firewall. Only thing needed is a machine (on the gate) that allows SSH  
> hopping.
> 
> I suspect, though, you mean something differen.
> 
> What external tool do you use for setting up your tunnel. Please  
> specify on that. Do you go over a squid proxy? Including such a  
> feature into x2goclient (esp. for the X2Go plugin) will be a wanted  
> feature.
> 
> If you have, please provide you concept in detail and post it to
> 
>    [email-masked]
> 
> Thanks,
> Mike
> 
> -- 
> 
> DAS-NETZWERKTEAM
> mike gabriel, rothenstein 5, 24214 neudorf-bornstein
> fon: +49 (1520) 1976 148
> 
> GnuPG Key ID 0x25771B31
> mail: [email-masked], http://das-netzwerkteam.de
> 
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb